tbb::flow::interface11::callback_base Class Referenceabstract

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::callback_base:
Collaboration diagram for tbb::flow::interface11::callback_base:

## Public Member Functions

virtual void | call ()=0
virtual | ~callback_base ()

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 346 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## ~callback_base()

virtual tbb::flow::interface11::callback_base::~callback_base | ( |  | ) |

inline virtual

Definition at line 349 of file flow_graph_opencl_node.h.

{}

## Member Function Documentation

## call()

virtual void tbb::flow::interface11::callback_base::call | ( |  | ) |

pure virtual

Implemented in tbb::flow::interface11::callback< Callback, T >.

Referenced by tbb::flow::interface11::opencl_async_msg< T, Factory >::register_callback_func().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.